<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/ll_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_587efc_3fd3ff"
        android:orientation="vertical"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:layout_width="match_parent"
            android:layout_height="40dp" />

        <RelativeLayout
            android:id="@+id/id_top_rl"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_junks_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20dp"
                android:src="@mipmap/fanhui" />

            <TextView
                android:id="@+id/id_tv_title_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:text="Clean Junk"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </RelativeLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="60dp"
            android:layout_marginBottom="10dp"
            android:gravity="center_horizontal">

            <TextView
                android:id="@+id/id_ke_cl"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginEnd="7dp"
                android:includeFontPadding="false"
                android:textColor="@color/white"
                android:textSize="43sp"
                android:textStyle="bold"
                tools:text="0" />

            <TextView
                android:id="@+id/id_size_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="top"
                android:layout_marginTop="10dp"
                android:includeFontPadding="false"
                android:textColor="@color/white"
                android:textSize="12sp"
                tools:text="KB" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="45dp"
            android:text="Cleanable"
            android:textColor="@color/white"
            android:textSize="14sp"
            tools:ignore="HardcodedText" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="-20dp"
        android:background="@drawable/bg_ffffff_tlr15"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_top">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/id_scan_result"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <pokercc.android.expandablerecyclerview.ExpandableRecyclerView
                android:id="@+id/id_ex_rl"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:visibility="visible" />

            <TextView
                android:id="@+id/id_cl_btn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginHorizontal="40dp"
                android:layout_marginVertical="20dp"
                android:background="@drawable/bg_button_enable_selector"
                android:enabled="false"
                android:gravity="center"
                android:text="Clean"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold"
                android:visibility="gone"
                tools:ignore="HardcodedText" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </FrameLayout>

</androidx.constraintlayout.widget.ConstraintLayout>